{% extends 'QuizApp/base.html' %}

{% block body %}
    <form method="post">
        {% csrf_token %}
        <div class="row">
            <div class="col-sm-10"></div>
            <div class="col-sm-2">
                <button type="submit" class="btn btn-primary">Submit</button>
            </div>
        </div>

        <div class="form-group">
            <label for="quiz_title"><strong>Quiz Title</strong></label>
            <input type="text" class="form-control" id="quiz_title" name="quiz_title" required
                   placeholder="Title of your Quiz.">
        </div>
        <hr>
        {% for qs_no in qs_range %}
            <div class="form-group">
                <label for="option_text-{{ qs_no }}"><strong>Question {{ qs_no }}: </strong></label>
                {#                <div class="col-sm-10">#}
                <input type="text" class="form-control" id="option_text-{{ qs_no }}" name="option_text-{{ qs_no }}"
                       placeholder="Enter your Question." required>
                {#                </div>#}
            </div>
            {% for opn in option_range %}
                <div class="form-group row">
                    <div class="col-sm-1"></div>
                    <label for="option_text-q{{ qs_no }}-o{{ opn }}"
                           class="col-sm-1 col-form-label">Option {{ opn }}: </label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control" id="option_text-q{{ qs_no }}-o{{ opn }}"
                               name="option_text-q{{ qs_no }}-o{{ opn }}" required>
                    </div>
                    <div class="col-sm-1"></div>
                    <div class="form-check form-check-inline">
                        <input class="form-check-input" type="checkbox" id="is_correct-q{{ qs_no }}-o{{ opn }}"
                               name="is_correct-q{{ qs_no }}-o{{ opn }}" value="option1">
                        <label class="form-check-label" for="is_correct-q{{ qs_no }}-o{{ opn }}">Correct</label>
                    </div>
                </div>
            {% endfor %}
        {% endfor %}
        <button type="submit" class="btn btn-primary btn-lg btn-block">Submit</button>
    </form>
{% endblock %}

